Subject: A Nascent Off-Earth Ground Track Graphics Capability
From: Daniel Adamo <[email-masked]>
To: "ATIG (A-K)" <[email-masked]>
Date: Tue, 04 Feb 2025 09:32:11 -0800

ATIG Members-

Happy 2025!  Since early 2021 (ref. ATIG archive #121 at http://www.aiaahouston.org/adamo_astrodynamics/), I’ve been using a programming interface with Apple Computer’s Maps app framework to geolocate events and geocentric trajectory ground tracks on a colorful map of the Earth.  But missions to other bodies in the Solar System, particularly the Moon, are becoming more prolific and there is no Maps support for extraterrestrial contexts.  Furthermore, the Maps framework does not support “zooming out” to a global scale.

Over the past year, I’ve therefore been developing a means to import, annotate, and interactively display global-scale charts of any roughly spherical Solar System body using low-level macOS programming interfaces.  The attached PDF file documents how this capability functions with a lunar chart example.  Although there is some macOS-specific jargon in the attachment, I’ve attempted to minimize that so similar techniques can be applied to other platforms.  Questions and comments are welcome!

-Dan